Only in icecast-cvs: .cvsignore
Only in icecast-1.3.11: Makefile.in
Only in icecast-1.3.11: aclocal.m4
Only in icecast-cvs: autogen.sh
Only in icecast-cvs/conf: .cvsignore
Only in icecast-cvs/conf: CVS
Only in icecast-1.3.11/conf: Makefile.in
Only in icecast-1.3.11/conf: groups.aut
Only in icecast-1.3.11/conf: icecast.conf
Only in icecast-1.3.11/conf: mounts.aut
Only in icecast-1.3.11/conf: users.aut
Only in icecast-1.3.11: config.guess
Only in icecast-1.3.11: config.h.in
Only in icecast-1.3.11: config.sub
Only in icecast-1.3.11: configure
diff --unified=2 -r icecast-cvs/configure.in icecast-1.3.11/configure.in
--- icecast-cvs/configure.in	Tue Aug  7 15:16:14 2001
+++ icecast-1.3.11/configure.in	Fri Oct 12 00:24:12 2001
@@ -38,4 +38,5 @@
 
 AC_ARG_ENABLE(fsstd, [  --enable-fsstd	install files following FSSTD [default=no]], , enable_fsstd=no)
+AC_ARG_ENABLE(mingw, [  --enable-mingw	compile icecast under cygwin using mingw libraries [default=yes]], , enable_mingw=yes)
 
 if test "x$enable_fsstd" = "xyes"; then
@@ -108,4 +109,17 @@
 AC_ISC_POSIX
 AC_MINIX
+AC_CYGWIN
+
+if test "$CYGWIN" = "no" && test "$enable_mingw" = "yes"; then
+	echo "Dude, you're not using cygwin systems. Don't mess around with mingw."
+elif test "$CYGWIN" = "yes" && test "$enable_mingw" = "yes"; then
+	echo "Preparing CYGWIN and mingw specific setup..."
+	CFLAGS="$CFLAGS -mno-cygwin"
+	LIBS="-lkernel32 -lwsock32 -lmsvcrt"
+elif test "$CYGWIN" = "yes" && test "$enable_mingw" = "no"; then
+	echo "Preparing CYGWIN for cygnus library setup..."
+	echo "Warning: As of cygnus 1.1.8, pthread support is crippled!!!"
+	CFLAGS="$CFLAGS -mno-win32"
+fi
 
 AC_MSG_CHECKING(your OS)
@@ -361,4 +375,9 @@
 THREADLIBS="no"
 
+if test "$enable_mingw" = "yes"; then
+    echo "don't bother to check for pthreads..."
+    THREADLIBS=""
+else
+
 AC_MSG_CHECKING(for pthread functions in standard libraries)
 AC_TRY_LINK(, [pthread_create();],AC_MSG_RESULT(yes);THREADLIBS="",AC_MSG_RESULT(no))
@@ -371,4 +390,6 @@
 		    AC_MSG_RESULT(crosscompiling so no);THREADLIBS="no")
 fi
+
+fi	# enable_mingw = yes
 
 if test "$THREADLIBS" = "no"; then
Only in icecast-cvs/doc: .cvsignore
Only in icecast-cvs/doc: CVS
Only in icecast-1.3.11/doc: Makefile.in
Only in icecast-cvs: etc
Only in icecast-cvs: icecast.dsp
Only in icecast-1.3.11: install-sh
Only in icecast-1.3.11: missing
Only in icecast-1.3.11: mkinstalldirs
Only in icecast-cvs/src: .cvsignore
Only in icecast-cvs/src: CVS
Only in icecast-1.3.11/src: Makefile.in
Only in icecast-cvs/src/authenticate: .cvsignore
Only in icecast-cvs/src/authenticate: CVS
Only in icecast-1.3.11/src/authenticate: Makefile.in
Only in icecast-cvs/src/authenticate: config.h.in
diff --unified=2 -r icecast-cvs/src/commands.c icecast-1.3.11/src/commands.c
--- icecast-cvs/src/commands.c	Wed Nov  1 16:32:35 2000
+++ icecast-1.3.11/src/commands.c	Sat Sep  8 23:08:46 2001
@@ -85,4 +85,5 @@
 
 #include <time.h>
+#include <errno.h>
 
 extern int errno;
@@ -2154,4 +2155,9 @@
 		thread_mutex_unlock(&sourcecon->food.source->mutex);
 		return 0;
+	}
+	else
+	{
+		// for those lamer systems that mingles text ... LIKAI
+		setmode( sourcecon->food.source->dumpfd, O_BINARY );
 	}
 
Only in icecast-cvs/src: python_api.c
diff --unified=2 -r icecast-cvs/src/source.c icecast-1.3.11/src/source.c
--- icecast-cvs/src/source.c	Tue Aug  7 15:16:14 2001
+++ icecast-1.3.11/src/source.c	Sat Sep  8 23:02:31 2001
@@ -453,4 +453,9 @@
 			source->dumpfile = NULL;
 		}
+		else
+		{
+			// for those systems that mingles text ... LIKAI
+			setmode( source->dumpfd, O_BINARY );
+		}
 	}
 
diff --unified=2 -r icecast-cvs/src/vsnprintf.c icecast-1.3.11/src/vsnprintf.c
--- icecast-cvs/src/vsnprintf.c	Tue Mar 27 11:15:44 2001
+++ icecast-1.3.11/src/vsnprintf.c	Sat Sep  8 22:51:02 2001
@@ -39,5 +39,9 @@
  * TBD: This file needs a security audit.
  */
+#ifdef _WIN32
+#include <win32config.h>
+#else
 #include <config.h>
+#endif
 
 #ifndef HAVE_VSNPRINTF
Only in icecast-1.3.11: stamp-h.in
Only in icecast-cvs/templates: .cvsignore
Only in icecast-cvs/templates: CVS
Only in icecast-1.3.11/templates: Makefile.in
diff --unified=2 -r icecast-cvs/win32config.h icecast-1.3.11/win32config.h
--- icecast-cvs/win32config.h	Wed Jul  5 15:51:13 2000
+++ icecast-1.3.11/win32config.h	Mon Sep 17 21:16:48 2001
@@ -86,5 +86,5 @@
 
 /* The complete version of icecast */
-#define VERSION "1.3.7"
+#define VERSION "1.3.11"
 
 /* Definately Solaris */
@@ -232,2 +232,4 @@
 
 
+/* some tweaks to make things work */
+#define snprintf	_snprintf
